%define name mrxvt
%define version 0.5.4
%define release %mkrel 1

Summary:	A multi-tabbed X terminal emulator based on rxvt
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-0.5.4-001-fix-segfault-when-wd-empty.patch
License:	GPL
Group:		Terminals
URL:		http://materm.sourceforge.net
Packager:	KDulcimer <kdulcimer@gmail.com>
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	xpm-devel
BuildRequires:	utempter-devel
BuildRequires:	X11-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	ImageMagick

%description
Mrxvt is a lightweight and powerful multi-tabbed X terminal emulator based on
the popular emulators rxvt and aterm. It implements many useful features seen
in modern X terminal emulators such as gnome-terminal and konsole while
remaining lightweight and independent of the GNOME and KDE desktop
environments.

%prep
%setup -q
%patch0 -p1 -b .1

%build
%configure	--disable-debug \
		--enable-keepscrolling \
		--enable-selectionscrolling \
		--enable-mousewheel \
		--enable-24bits \
		--enable-text-shado \
		--enable-smart-resize \
		--enable-xft \
		--enable-xim \
		--enable-greek \
		--enable-cjk
%make

%install
rm -rf %{buildroot}
%makeinstall
rm -rf %{buildroot}/usr/share/doc/mrxvt

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/pclinuxos-%{name}.desktop << EOF
[Desktop Entry]
Name=Mrxvt
Comment=A multi-tabbed X terminal emulator
Exec=/usr/bin/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-System-Terminals;TerminalEmulator;
EOF

install -m 755 -d $RPM_BUILD_ROOT%{_miconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_iconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_liconsdir}

convert -resize 48x48 share/pixmaps/mrxvt.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -resize 16x16 share/pixmaps/mrxvt.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
convert -resize 32x32 share/pixmaps/mrxvt.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png

%clean
rm -rf %{buildroot}

%post
%{update_desktop_database}

%postun
%{clean_desktop_database}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README TODO ChangeLog
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/pixmaps/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%dir %_sysconfdir/%name
%config(noreplace) %_sysconfdir/%name/*
%{_datadir}/applications/*

%changelog
* Mon Nov 17 2008 KDulcimer <kdulcimer@gmail.com> 0.5.4-1tinyme2008
- 0.5.4
- Add mrxvt-0.5.4-001-fix-segfault-when-wd-empty patch and rediff

* Sat Jul 26 2008 KDulcimer <kdulcimer@gmail.com> 0.5.3-3tinyme2008
- Redo patch
- Apply patch

* Wed Sep 05 2007 Texstar <texstar@gmail.com> 0.5.3-2pclos2007
- remove old menu system
- fix post scripts
- change menu name to pclinuxos
- trim changelog

* Wed Aug 29 2007 KDulcimer <kdulcimer@gmail.com> 0.5.3-1pclos_tinyme2007
- update to 0.5.3
- add no-scroll-with-buffer patch

* Thu Aug 02 2007 KDulcimer <kdulcimer@gmail.com> 0.5.2-1pclos2007
- Import to PCLinuxOS 2007/TinyMe
- 0.5.2

* Tue Aug  1 2006 Couriousous <couriousous@mandriva.org> 0.5.1-1mdv2007.0
- 0.5.1
- XDG
